Subject: Re: linux-next: arm allmodconfig

From: Paul Moore <[email-masked]>
Date: Wed, 29 Oct 2008 09:53:02 -0400

On Tuesday 28 October 2008 8:56:04 pm Andrew Morton wrote:
> > net/netlabel/netlabel_mgmt.c: In function `netlbl_mgmt_listentry':
> > net/netlabel/netlabel_mgmt.c:268: warning: 'ret_val' might be used
> > uninitialized in this function
>
> Assumes that netlbl_af4list_foreach_rcu() will never iterate zero
> times.
>
> Assumes that entry->type can never have an unexpected value.
>
> gcc cannot get this right, and C-level changes will be needed to shut
> this up.

No idea why this didn't come up when I was compiling this ... oh well, 
good thing I'm not a proud guy :)  I'll get this fixed and post a patch 
later today.

Thanks.

-- 
paul moore
linux @ hp